<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.admin.mapper.GoodsSkuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.admin.domain.GoodsSku">
        <id column="sku_id" property="skuId" />
        <result column="goods_id" property="goodsId" />
        <result column="name" property="name" />
        <result column="pic_url" property="picUrl" />
        <result column="properties" property="properties" />
        <result column="origin_price" property="originPrice" />
        <result column="exchange_price" property="exchangePrice" />
        <result column="value" property="value" />
        <result column="cost" property="cost" />
        <result column="quantity" property="quantity" />
        <result column="sold_qty" property="soldQty" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        sku_id, goods_id, name, pic_url, properties, origin_price, exchange_price, value, cost, quantity, sold_qty, created_time, updated_time
    </sql>

</mapper>
